org.apache.storm.sql.planner.streams

## Class QueryPlanner

- java.lang.Object
- - org.apache.storm.sql.planner.streams.QueryPlanner

-     public class QueryPlanner
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STORM_REL_CONVERSION_RULES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryPlanner(org.apache.calcite.schema.SchemaPlus schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractStreamsProcessor` | `compile(Map<String,ISqlStreamsDataSource> sources, String query)`
    `StreamsRel` | `getPlan(String query)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STORM_REL_CONVERSION_RULES

          public static final int STORM_REL_CONVERSION_RULES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QueryPlanner

          public QueryPlanner(org.apache.calcite.schema.SchemaPlus schema)

  - ### Method Detail

    - #### compile

          public AbstractStreamsProcessor compile(Map<String,ISqlStreamsDataSource> sources,
                                                  String query)
                                           throws Exception

      Throws:
        `Exception`

    - #### getPlan

          public StreamsRel getPlan(String query)
                             throws org.apache.calcite.tools.ValidationException,
                                    org.apache.calcite.tools.RelConversionException,
                                    org.apache.calcite.sql.parser.SqlParseException

      Throws:
        `org.apache.calcite.tools.ValidationException`
        `org.apache.calcite.tools.RelConversionException`
        `org.apache.calcite.sql.parser.SqlParseException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.